Media
List media attachments for a workspace
GET
/mediaAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
workspace_id*string
Filter by workspace ID
filter?string
Filter: all, used, unused, favorites
sort?string
Sort: newest, oldest, name, size, recently_used
search?string
Search filename, alt text, and tag
type?string
Filter by dominant media type
source?string
Filter by media provenance
asset_kind?string
Filter by asset role; defaults to library
lifecycle?string
Lifecycle view; defaults to library
Value in
- "library"
- "temporary"
- "trash"
- "all"
aspect?string
Filter: square, portrait, landscape
tag_id?string
Filter by one tag ID
tag_ids?string
Comma-separated tag IDs; media must have every selected tag
untagged?boolean
Only media that has no tags
min_width?integer
Format
int64Range
0 <= valuemin_height?integer
Format
int64Range
0 <= valuemax_width?integer
Format
int64Range
0 <= valuemax_height?integer
Format
int64Range
0 <= valuedate_from?string
Created on or after this YYYY-MM-DD date
date_to?string
Created on or before this YYYY-MM-DD date
limit?integer
Limit (default 50, max 200)
Format
int64offset?integer
Offset for pagination
Format
int64Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/media?workspace_id=string"{ "$schema": "https://example.com/api/v1/schemas/ListMediaOutputBody.json", "media": [ { "alt_text": "string", "analysis_error": "string", "analysis_status": "string", "asset_kind": "string", "audio_channels": 0, "audio_codec": "string", "bit_rate": 0, "can_delete": true, "color_space": "string", "container_format": "string", "created_at": "string", "design_document_id": "string", "design_page_id": "string", "duration_ms": 0, "frame_rate": 0.1, "height": 0, "id": "string", "is_favorite": true, "last_used_at": "string", "mime_type": "string", "original_filename": "string", "parent_media_id": "string", "pixel_format": "string", "poster_thumbnail_url": "string", "processing_progress": 0, "processing_status": "string", "public_url_checked_at": "string", "public_url_error": "string", "public_url_status": 0, "purge_after": "string", "retention_class": "library", "rotation": 0, "size": 0, "source": "string", "tags": [ "string" ], "thumbnail_url": "string", "trash_reason": "manual", "trashed_at": "string", "url": "string", "usage_count": 0, "video_codec": "string", "video_profile": "string", "width": 0, "workspace_id": "string" } ], "total": 0}